# Filename:     tb_seven_seg.do
# Filetype:     Modelsim Script File
# Date:         13 sep 2012
# Update:       -
# Description:  Script File For Automatic Simulation
# Author:       J. op den Brouw
# State:        Lab
# Error:        -
# Version:      1.0
# Copyright:    (c)2012, De Haagse Hogeschool

# Transcript on, we see output
transcript on

# Recreate working directory
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

# Loop through all the VHDL files and compile them
foreach vhd_file [ glob *.vhd ] {
	#puts $vhd_file
	vcom -93 -work work $vhd_file
}

# Start the simulator
vsim -t 1ns -L rtl_work -L work -voptargs="+acc" seven_seg

# Log all signals in the design, good if the number
# of signals is small.
add log -r *

# Add all toplevel signals
# Add a number of signals of the simulated design
add list -nodelta -label SW3 sw3
add list -nodelta -label SW2 sw2
add list -nodelta -label SW1 sw1
add list -nodelta -label SW0 sw0

add list -nodelta -width 5 -label y15 b2v_inst/y15
add list -nodelta -label y14 b2v_inst/y14
add list -nodelta -label y13 b2v_inst/y13
add list -nodelta -label y12 b2v_inst/y12
add list -nodelta -label y11 b2v_inst/y11
add list -nodelta -label y10 b2v_inst/y10
add list -nodelta -label y9  b2v_inst/y9
add list -nodelta -label y8  b2v_inst/y8
add list -nodelta -width 3 -label y7 b2v_inst/y7
add list -nodelta -label y6  b2v_inst/y6
add list -nodelta -label y5  b2v_inst/y5
add list -nodelta -label y4  b2v_inst/y4
add list -nodelta -label y3  b2v_inst/y3
add list -nodelta -label y2  b2v_inst/y2
add list -nodelta -label y1  b2v_inst/y1
add list -nodelta -label y0  b2v_inst/y0

add list -nodelta -width 5 -label HEX0_D0 hex0_d0
#add list -nodelta -label HEX0_D1 hex0_d1
#add list -nodelta -label HEX0_D2 hex0_d2
#add list -nodelta -label HEX0_D3 hex0_d3
#add list -nodelta -label HEX0_D4 hex0_d4
#add list -nodelta -label HEX0_D5 hex0_d5
#add list -nodelta -label HEX0_D6 hex0_d6

# Open List window
noview Wave
noview Signals
noview Structure
view list

# Apply stimuli
force SW0 0 0, 1 20 -repeat 40 -cancel 320
force SW1 0 0, 1 40 -repeat 80 -cancel 320
force SW2 0 0, 1 80 -repeat 160 -cancel 320
force SW3 0 0, 1 160  -repeat 320 -cancel 320

# Run simulation for 300 ns
run 300 ns
